Bug 1268622 - pnmixer's mute checkbox doesn't reflect volume's status
pnmixer's mute checkbox doesn't reflect volume's status
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pnmixer (Show other bugs)
25
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 17:20 EDT by Giulio 'juliuxpigface'
Modified: 2017-12-12 06:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:12:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The checkbox "mute" isn't checked even if pnmixer is actually muted (688.21 KB, image/png)
2015-10-03 17:20 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-10-03 17:20:46 EDT
Created attachment 1079673 [details]
The checkbox "mute" isn't checked even if pnmixer is actually muted

Description of problem:
When clicking the checkbox which mutes pnmixer, that widget remains unchecked even if the sounds is actually muted.
This is nothing but a cosmetic issue: that's why I set 'severity' to low.

Version-Release number of selected component (if applicable):
pnmixer-0.5.1-11.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Launch a standard LXDE session
2. Perform a "left click" on pnmixer's icon, located near the right corner of lxpanel
3. Check the "Mute" checkbox

Actual results:
1. The checkbox remains visually unchecked even if the user's input works.


Expected results:
1. The checkbox should change accordingly to user's input.

Additional info:
I'm doing release validation testing of Fedora Final TC1 on qemu-kvm, but I'm pretty sure the issue is 100% reproducible on bare metal too.

Anyway, the problem is just the event "click" on that checkbox. The following steps work:
1. Right click on pnmixer's icon
2. "Mute/unmute" item
3. Left click on pnmixer's icon
4. The mute checkbox reflects the status of pnmixer
Comment 1 Fedora End Of Life 2016-11-24 07:41:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Giulio 'juliuxpigface' 2016-12-09 16:19:32 EST
I faced this issue during the testing process of Fedora 25. I'm updating the version number accordingly.
Comment 3 elboulangero 2016-12-27 20:17:15 EST
It might be fixed in the last version:
https://github.com/nicklan/pnmixer/releases/tag/v0.7

Notice however that PNMixer is primarily intended to work with ALSA, and is known to misbehave with PulseAudio. That might be the reason.

Patches to add pulseaudio support are welcome :)
Comment 4 Fedora End Of Life 2017-11-16 14:01:14 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 06:12:36 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.